# Class TCefScrollViewRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFScrollView

## Declaration

`type TCefScrollViewRef = class(TCefViewRef, ICefScrollView)`

## Description

A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_scroll_view_capi.h">CEF source file: /include/capi/views/cef_scroll_view_capi.h (cef_scroll_view_t))

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefViewRef
- TCefScrollViewRef

## Overview

### Methods

| `procedure SetContentView(const view: ICefView);`
| `function GetContentView: ICefView;`
| `function GetVisibleContentRect: TCefRect;`
| `function HasHorizontalScrollbar: boolean;`
| `function GetHorizontalScrollbarHeight: Integer;`
| `function HasVerticalScrollbar: boolean;`
| `function GetVerticalScrollbarWidth: Integer;`
| `class function UnWrap(data: Pointer): ICefScrollView;`
| `class function CreateScrollView(const delegate: ICefViewDelegate): ICefScrollView;`

## Description

### Methods

| `procedure SetContentView(const view: ICefView);`
Set the content View. The content View must have a specified size (e.g. via ICefView.SetBounds or ICefViewDelegate.GetPreferredSize).

| `function GetContentView: ICefView;`
Returns the content View.

| `function GetVisibleContentRect: TCefRect;`
Returns the visible region of the content View.

| `function HasHorizontalScrollbar: boolean;`
Returns true (1) if the horizontal scrollbar is currently showing.

| `function GetHorizontalScrollbarHeight: Integer;`
Returns the height of the horizontal scrollbar.

| `function HasVerticalScrollbar: boolean;`
Returns true (1) if the vertical scrollbar is currently showing.

| `function GetVerticalScrollbarWidth: Integer;`
Returns the width of the vertical scrollbar.

| `class function UnWrap(data: Pointer): ICefScrollView;`
Returns a ICefScrollView instance using a PCefScrollView data pointer.

| `class function CreateScrollView(const delegate: ICefViewDelegate): ICefScrollView;`
Create a new ScrollView.

Generated by PasDoc 0.16.0-snapshot.